View Issue Details

IDProjectCategoryView StatusLast Update
0004022Path[FreeCAD] Bugpublic2019-09-01 13:02
ReporterDeVriesAssigned Todubstar_04 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platform?OSWindowsOS Version10
Product Version[FreeCAD] 0.18 
Target Version[FreeCAD] 0.19Fixed in Version[FreeCAD] 0.19 
Summary0004022: Tool library "New Tool"
DescriptionIf you create ballmill in the Tool Library
the diameter field is not saved
Other fields are working
Steps To ReproduceIn "Path"
1 Open tool Library
2 Choose "New Tool"
3 Give tool a name
4 Type BallEndMill -> screen changes..
5 Length offset e.g. 10mm then Tab
6 Diameter 1.5 mm then Tab (button green on the right)
7 Nothing else and then "OK" on the bottom
8 Screen closes, new line with the new tool etc
9 Bug -> The diameter is stil 0.00 mm
10 Retry etc and OK -> Diameter stil 0.00 mm
11 All other fields work
Additional InformationIf you export to XML and change the field by hand
Delete all records
Import the changed XML
The tool is useble
TagsNo tags attached.

Activities

Kunda1

2019-06-16 14:26

administrator   ~0013222

@DeVries
Thank you for the report. It is incomplete though. Please follow the instructions in the large yellow banner at the top of the page. You will see what I mean by 'incomplete'

DeVries

2019-06-17 22:02

reporter   ~0013244

Sorry you are right. I'm new here. Already Point 1. Point 2 don't understand..
Point 3 I did download and installed daily to check if error was already solved. Point 4.. Point 5. English is not my own language, but is is not Swahili. Description must be clear enough. Point 6 Upload file not so useful..
I'm a user of such a cheap 6040 Chinese CNC thing which needed change of spindle and other repairs before I could use it. That is why I started with 0.17 (no diameter error)and now (0.18) great improvement but with error.
Try to find a set of software which I can use.
I will comply to your rules. Maybe next weekend when there is some time left.
Some forum stuff todo.
Kind Regards.

dubstar_04

2019-08-21 16:53

developer   ~0013441

Last edited: 2019-08-21 19:35

View 2 revisions

This is fixed with PR#2434
FreeCAD Pull Request 2434

Kunda1

2019-08-21 19:32

administrator   ~0013442

@dubstar_04 thank you for the heads up. In the future you can automate this by reading https://freecadweb.org/wiki/tracker#GitHub_and_MantisBT
I'll associate the commit to this ticket manually this time. Thanks.

Kunda1

2019-08-22 15:30

administrator   ~0013449

@sliptonic do you mind confirming the fix ?

Kunda1

2019-09-01 13:02

administrator   ~0013505

Closing. Thanks @dubstar_04!

Related Changesets

FreeCAD: master 503ecc57

2019-08-19 03:32:29

sliptonic


Committer: GitHub Details Diff
Merge pull request 0002434 from dubstar-04/fixes/tooltable

[Path] Ensure the tool parameters are saved
Affected Issues
0004022, 0004028
mod - src/Mod/Path/PathScripts/PathToolEdit.py Diff File

Issue History

Date Modified Username Field Change
2019-06-15 22:09 DeVries New Issue
2019-06-16 14:26 Kunda1 Status new => feedback
2019-06-16 14:26 Kunda1 Note Added: 0013222
2019-06-17 22:02 DeVries Note Added: 0013244
2019-06-17 22:02 DeVries Status feedback => new
2019-08-21 16:50 dubstar_04 Assigned To => dubstar_04
2019-08-21 16:50 dubstar_04 Status new => assigned
2019-08-21 16:53 dubstar_04 Status assigned => resolved
2019-08-21 16:53 dubstar_04 Resolution open => fixed
2019-08-21 16:53 dubstar_04 Fixed in Version => 0.19
2019-08-21 16:53 dubstar_04 Note Added: 0013441
2019-08-21 19:32 Kunda1 Note Added: 0013442
2019-08-21 19:33 Kunda1 Changeset attached => FreeCAD master 503ecc57
2019-08-21 19:33 Kunda1 Note Edited: 0013441
2019-08-21 19:34 Kunda1 Note Revision Dropped: 13441: 0002950
2019-08-21 19:35 Kunda1 Note Edited: 0013441 View Revisions
2019-08-22 15:30 Kunda1 Note Added: 0013449
2019-09-01 13:02 Kunda1 Status resolved => closed
2019-09-01 13:02 Kunda1 Note Added: 0013505
2019-09-01 13:02 Kunda1 Target Version => 0.19